RHS Feedback

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000724USAF[All Projects] Generalpublic2015-06-12 13:452016-04-19 15:25
ReporterArcanum 
Assigned ToSoul_Assassin 
PriorityurgentSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
PlatformDeditated ServerOSLinuxOS VersionUbuntuS14.04 LTS
Product Version0.3.8 
Target VersionFixed in Version0.3.9 
Summary0000724: M136 + BVP = Crash
DescriptionWhen you kill BVP of any kind using M136 it will crash dedicated server.
Log included
Steps To ReproduceStart Game master mission on dedicated server
Spawn BVP of your choise
Spawn US rifleman with M136
Shoot BVP
Watch server and BVP burn
Additional InformationI have reported this to ACE tracker while it was happening with ACE, but then I tried it whithout ACE and it still happened.
TagsNo tags attached.
Is it a wish/request?No
RHS version
Arma 3 version1.56
Did you used any other mod when the error occurred?No
Which mods?
Attached Fileslog file icon arma3-serverpublic-console.log [^] (86,629 bytes) 2015-06-12 13:49
log file icon Clean.log [^] (230,231 bytes) 2015-06-12 14:17
log file icon Battleye OFF.log [^] (361,106 bytes) 2015-06-12 15:01
rar file icon usaf_dependency_0724hotfix.rar [^] (708,153 bytes) 2015-06-22 22:02

- Relationships

-  Notes
(0001563)
Arcanum (reporter)
2015-06-12 13:47

Using A3 1.46 , not in version list.
(0001564)
Soul_Assassin (administrator)
2015-06-12 13:48

What BVP? Also can you provide the RPT plz?
(0001566)
Arcanum (reporter)
2015-06-12 13:49

I atached txt File from server...
(0001567)
Arcanum (reporter)
2015-06-12 13:49

Now its there....
(0001568)
Arcanum (reporter)
2015-06-12 13:51

Could you please delete 0000725 I double posted....
(0001569)
Arcanum (reporter)
2015-06-12 13:51

I tested with BVP-1 and BVP-2.
(0001570)
Soul_Assassin (administrator)
2015-06-12 13:57

"13:31:48 [21762,105.473,0,"XEH: PostInit Started"]
13:31:48 [21762,105.486,0,"CBA_VERSIONING: cba=1.1.23.150604, "]
13:31:48 [21762,105.492,0,"XEH: PostInit Finished. State: _isClient=false, _isJip=false, _isDedClient=false, _isServer=true, _isDedServer=true, _playerCheckDone=true, _sp=false, _startInitDone=true, _postInitDone=true, _mpRespawn=true, _machineType=0, _sessionId=1, _level=0, _timeOut=false, _game=3, BIS_functions=<NULL-object>, group=<NULL-group>"]"

you can see that there are other mods running. Switch off ALL mods on Server AND all clients except RHS and test. Also we dont have any BVPs in our mod.
(0001571)
Arcanum (reporter)
2015-06-12 14:10

Sorry I mismatched it was BMP-1 and 2. I am now testing without other mods...
(0001573)
Arcanum (reporter)
2015-06-12 14:16
edited on: 2015-06-12 14:17

Done same thing happend sending log... Uploaded Clean.log

(0001574)
Arcanum (reporter)
2015-06-12 14:47

M136 is ok killing Vanilla vehicles. Hit on RHS Russian vehicle will crash server...
(0001575)
Soul_Assassin (administrator)
2015-06-12 14:50

Can you for shits and giggles disable BattleEye?
(0001576)
Arcanum (reporter)
2015-06-12 14:52

Well I can but what the hell :D
(0001577)
Soul_Assassin (administrator)
2015-06-12 14:58

just try it, we want to also get to the bottom of this.
(0001578)
reyhard (administrator)
2015-06-12 14:58

could you reproduce it with following pbo? instal on client & server
https://mega.co.nz/#!ZwN2GChZ!QFBztoQ0JZxmHMRLeWGohPzGwJE0XywUlmJL7Xjdh4Q [^]
(0001579)
Arcanum (reporter)
2015-06-12 15:01

It kinda worked, I had to shoo like 10 of them before it crashed...
LOG uploaded
(0001580)
Arcanum (reporter)
2015-06-12 15:01

Last was with BE disabled will try the pbo.
(0001582)
Arcanum (reporter)
2015-06-12 15:06
edited on: 2015-06-12 15:07

With replaced PBO server will not start...
Circular addon dependency in 'rhsusf_a2port_air2'
Same with client

(0001588)
Arcanum (reporter)
2015-06-12 23:39

SO any other advices how to fix this ? I suspect it is Linux's fault or something, because I can see, taht on other servers it i s running good.
Recently we have been playing and missile from Mi-24 did the same thing, same log except the missile name.
(0001611)
Arcanum (reporter)
2015-06-14 17:51
edited on: 2015-06-14 17:52

Tried on another Linux Ubuntu server, same results.

(0001648)
Arcanum (reporter)
2015-06-22 14:12

So ? What is happening.
(0001649)
Soul_Assassin (administrator)
2015-06-22 14:33

We are pretty sure we know why this is happening. We will inform you when a fix is made.
(0001660)
Arcanum (reporter)
2015-06-22 21:11

Good, thank you for an update. As I said it is happening on 2 unrelated Ubuntu servers and Windows server is fine. Keep me posted.
(0001661)
Soul_Assassin (administrator)
2015-06-22 22:03

Have a look at the hotfix i have provided in the attached files. Apply it over clean USAF 0.3.8 please. I hope this will solve the issue. If so, it will be included in the next release (which might be pretty soon if we go ahead with a hotfix)
(0001663)
Arcanum (reporter)
2015-06-22 22:25

I will try it today or tomorrow but the same crash happened after Mi-24 tried to destroy BTR using missiles, so I do not know if changes only in USAF will fix this.... Try to look at that...
(0001666)
Arcanum (reporter)
2015-06-22 23:30

This fixed it. Tried it on server and client and I have been able to destroy 50 or so BMPs and BTRs with M136 and suprisingly also using missiles from Mi-24s so I think this fiexed it on both fronts, please make sure if there is not same problem left in Russian Forces. Thank you very much for your time and work.
(0001667)
Soul_Assassin (administrator)
2015-06-23 00:32

excellent
(0004150)
Arcanum (reporter)
2016-03-27 14:33

Similar thing once again not everytime but sometime linux server crashes with Unsupported ammo type (type name rhs_rpg7v2_pg7vl_penetrator)

- Issue History
Date Modified Username Field Change
2015-06-12 13:45 Arcanum New Issue
2015-06-12 13:47 Arcanum Note Added: 0001563
2015-06-12 13:48 Soul_Assassin Note Added: 0001564
2015-06-12 13:48 Soul_Assassin Assigned To => Soul_Assassin
2015-06-12 13:48 Soul_Assassin Status new => feedback
2015-06-12 13:49 Arcanum Note Added: 0001566
2015-06-12 13:49 Arcanum Status feedback => new
2015-06-12 13:49 Arcanum File Added: arma3-serverpublic-console.log
2015-06-12 13:49 Arcanum Note Added: 0001567
2015-06-12 13:51 Arcanum Note Added: 0001568
2015-06-12 13:51 Arcanum Note Added: 0001569
2015-06-12 13:57 Soul_Assassin Note Added: 0001570
2015-06-12 14:10 Arcanum Note Added: 0001571
2015-06-12 14:16 Arcanum Note Added: 0001573
2015-06-12 14:17 Arcanum File Added: Clean.log
2015-06-12 14:17 Arcanum Note Edited: 0001573 View Revisions
2015-06-12 14:47 Arcanum Note Added: 0001574
2015-06-12 14:50 Soul_Assassin Note Added: 0001575
2015-06-12 14:52 Arcanum Note Added: 0001576
2015-06-12 14:58 Soul_Assassin Note Added: 0001577
2015-06-12 14:58 reyhard Note Added: 0001578
2015-06-12 15:01 Arcanum Note Added: 0001579
2015-06-12 15:01 Arcanum File Added: Battleye OFF.log
2015-06-12 15:01 Arcanum Note Added: 0001580
2015-06-12 15:02 Arcanum Note Added: 0001581
2015-06-12 15:02 Arcanum Note Deleted: 0001581
2015-06-12 15:06 Arcanum Note Added: 0001582
2015-06-12 15:07 Arcanum Note Edited: 0001582 View Revisions
2015-06-12 23:39 Arcanum Note Added: 0001588
2015-06-14 17:51 Arcanum Note Added: 0001611
2015-06-14 17:52 Arcanum Note Edited: 0001611 View Revisions
2015-06-22 14:12 Arcanum Note Added: 0001648
2015-06-22 14:33 Soul_Assassin Note Added: 0001649
2015-06-22 15:35 Soul_Assassin Status new => assigned
2015-06-22 21:11 Arcanum Note Added: 0001660
2015-06-22 22:02 Soul_Assassin File Added: usaf_dependency_0724hotfix.rar
2015-06-22 22:03 Soul_Assassin Note Added: 0001661
2015-06-22 22:03 Soul_Assassin Status assigned => feedback
2015-06-22 22:25 Arcanum Note Added: 0001663
2015-06-22 22:25 Arcanum Status feedback => new
2015-06-22 23:30 Arcanum Note Added: 0001666
2015-06-23 00:32 Soul_Assassin Note Added: 0001667
2015-06-23 00:32 Soul_Assassin Status new => resolved
2015-06-23 00:32 Soul_Assassin Fixed in Version => 0.3.9
2015-06-23 00:32 Soul_Assassin Resolution open => fixed
2016-03-27 14:33 Arcanum Note Added: 0004150
2016-03-27 14:33 Arcanum Is it a wish/request? => No
2016-03-27 14:33 Arcanum Arma 3 version => 1.56
2016-03-27 14:33 Arcanum Did you used any other mod when the error occurred? => No
2016-03-27 14:33 Arcanum Status resolved => new
2016-04-19 15:25 Soul_Assassin Status new => resolved


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker